View Issue Details

IDProjectCategoryView StatusLast Update
0010925Buildsyscommunity buildsyspublic2017-07-19 13:31
Reporterderekolds 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Version6.7
Summary0010925: Yum update fails on a 404 returned from http://mirror.centos.org/centos/6/SCL/x86_64/repodata/repomd.xml
Descriptionyum update is failing on centos 6 due to a 404 being returned from the following url.

http://mirror.centos.org/centos/6/SCL/x86_64/repodata/repomd.xml

A look at http://mirror.centos.org/centos/6/ shows that there is no SCL directory. Is this intended? Should I update my repos?
Steps To ReproduceRun yum update on a centos 6.7 host.
Additional Information[root@olds-centos6 ~]# yum update
Loaded plugins: fastestmirror, security
Setting up Update Process
Determining fastest mirrors
 * base: centos.chicago.waneq.com
 * extras: centos.mbni.med.umich.edu
 * updates: centos.firehosted.com
base | 3.7 kB 00:00
base/primary_db | 4.7 MB 00:00
extras | 3.4 kB 00:00
extras/primary_db | 37 kB 00:00
google-cloud-compute/signature | 454 B 00:00
google-cloud-compute/signature | 1.4 kB 00:00 ...
google-cloud-compute/primary | 1.0 kB 00:00
google-cloud-compute 1/1
http://mirror.centos.org/centos/6/SCL/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL r
eturned error: 404 Not Found"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: scl. Please verify its path and try again
TagsNo tags attached.

Activities

alphacc

alphacc

2016-05-26 06:59

developer   ~0026686

Hi,

You use 6.8 already if you use mirror with /6/

SCL have been moved for CentOS 6.8 and is now available in :
http://mirror.centos.org/centos/6/sclo/x86_64/rh/

These SCLs are now provided by the SCLo sig.
More information are available at the following URL https://wiki.centos.org/SpecialInterestGroup/SCLo

Could you try :
yum remove centos-release-SCL
yum install centos-release-sclo-rh

If you need a copy of the old SCL you can check :
http://mirror.centos.org/centos/6.7/SCL/

--
Thomas.
Alexander

Alexander

2016-05-27 12:08

reporter   ~0026710

This has helped me:
yum remove centos-release-SCL
yum install centos-release-scl

It would be great to fix the wiki (https://wiki.centos.org/AdditionalResources/Repositories/SCL)
derekolds

derekolds

2016-05-31 17:26

reporter   ~0026733

The work around for me was:

rm /etc/yum.repos.d/CentOS-SCL.repo
yum -y install centos-release-scl

You have to manually remove CentOS-SCL.repo because it causes yum calls to fail with the error shown above.
alphacc

alphacc

2017-07-19 13:31

developer   ~0029689

fixed

Issue History

Date Modified Username Field Change
2016-05-26 01:34 derekolds New Issue
2016-05-26 06:59 alphacc Note Added: 0026686
2016-05-27 12:08 Alexander Note Added: 0026710
2016-05-31 17:26 derekolds Note Added: 0026733
2017-07-19 13:31 alphacc Status new => resolved
2017-07-19 13:31 alphacc Resolution open => fixed
2017-07-19 13:31 alphacc Note Added: 0029689